# $new

Create a new object

Syntax

    $new(<class>,[<parent_id> [,<name>[,<param>[,<param>[...]]]])

Description
Creates a new instance of the object <class> with the parent object <parent_id> and the specified <name>. <name> and <parent_id> are optional: if not specified , <name> is assumed to be an empty string and <parent_id> default to 0 (parentless object). Please see the objects documentation for more informations.
Examples

        %myobj = $new(widget,0,pippo)

See also
Objects documentation, delete

Main index, Function index

KVirc 3.0.0 documentation
Generated by root at Thu Apr 29 12:41:05 2004